Loading...
Searching...
No Matches
LongParamContainer Class Reference

## Public Member Functions

LongParameterList * | getLongParameterList ()
void | add (const char *label, void *val, bool excl, int paramType, bool touch=0)
void | addGroup (const char *label)
void | addBool (const char *label, void *boolptr)
void | addExclusiveBool (const char *label, void *boolptr)
void | addInt (const char *label, void *intptr)
void | addSmartInt (const char *label, void *intptr)
void | addDouble (const char *label, void *doubleptr)
void | addString (const char *label, void *stringptr)
void | addPhoneHome (const char *version)
void | startLegacyParams ()

## Detailed Description

Definition at line 347 of file Parameters.h.

## Constructor & Destructor Documentation

## LongParamContainer()

LongParamContainer::LongParamContainer | ( |  | ) |

Definition at line 892 of file Parameters.cpp.

: myEndIndex(0)
{
// Add the first (also adds ending) indicators.
add(NULL, NULL, false, 0, 0);
}

## ~LongParamContainer()

LongParamContainer::~LongParamContainer | ( |  | ) |

Definition at line 900 of file Parameters.cpp.

{
}

## Member Function Documentation

## add()

void LongParamContainer::add | ( | const char * | label,
|  | void * | val,
|  | bool | excl,
|  | int | paramType,
|  | bool | touch = `0`
| ) |  |

Definition at line 905 of file Parameters.cpp.

{
if(myEndIndex+1 < MAX_PARAM_ARRAY_SIZE)
{
// Overwrite the previous end record.
myArray[myEndIndex].description = label;
myArray[myEndIndex].value = val;
myArray[myEndIndex].exclusive = excl;
myArray[myEndIndex].type = paramType;
myArray[myEndIndex].touched = touch;
++myEndIndex;
// Add a new empty entry to the end.
myArray[myEndIndex].description = NULL;
myArray[myEndIndex].value = NULL;
myArray[myEndIndex].exclusive = false;
myArray[myEndIndex].type = 0;
myArray[myEndIndex].touched = 0;
}
else
{
throw std::runtime_error("Tool Error: trying to add more parameters than allowed in LongParamContainer.\n");
}
}

## addBool()

void LongParamContainer::addBool | ( | const char * | label,
|  | void * | boolptr
| ) |  |

inline

Definition at line 363 of file Parameters.h.

{ add(label, boolptr, false, LP_BOOL_PARAMETER, 0); }

## addDouble()

void LongParamContainer::addDouble | ( | const char * | label,
|  | void * | doubleptr
| ) |  |

inline

Definition at line 375 of file Parameters.h.

{ add(label, doubleptr, false, LP_DOUBLE_PARAMETER, 0); }

## addExclusiveBool()

void LongParamContainer::addExclusiveBool | ( | const char * | label,
|  | void * | boolptr
| ) |  |

inline

Definition at line 366 of file Parameters.h.

{ add(label, boolptr, true, LP_BOOL_PARAMETER, 0); }

## addGroup()

void LongParamContainer::addGroup | ( | const char * | label | ) |

inline

Definition at line 360 of file Parameters.h.

{ add(label, NULL, false, 0, 0); }

## addInt()

void LongParamContainer::addInt | ( | const char * | label,
|  | void * | intptr
| ) |  |

inline

Definition at line 369 of file Parameters.h.

{ add(label, intptr, false, LP_INT_PARAMETER, 0); }

## addPhoneHome()

void LongParamContainer::addPhoneHome | ( | const char * | version | ) |

inline

Definition at line 381 of file Parameters.h.

{
add("PhoneHome", NULL, false, 0, 0);
add(version, NULL, false, LP_PHONEHOME_VERSION, 0);
add("phoneHomeThinning", &PhoneHome::allThinning, false, LP_INT_PARAMETER, 0);
}

## addSmartInt()

void LongParamContainer::addSmartInt | ( | const char * | label,
|  | void * | intptr
| ) |  |

inline

Definition at line 372 of file Parameters.h.

{ add(label, intptr, true, LP_INT_PARAMETER, 0); }

## addString()

void LongParamContainer::addString | ( | const char * | label,
|  | void * | stringptr
| ) |  |

inline

Definition at line 378 of file Parameters.h.

{ add(label, stringptr, false, LP_STRING_PARAMETER, 0); }

## getLongParameterList()

LongParameterList * LongParamContainer::getLongParameterList | ( |  | ) |

inline

Definition at line 354 of file Parameters.h.

{ return(myArray); }

## startLegacyParams()

void LongParamContainer::startLegacyParams | ( |  | ) |

inline

Definition at line 388 of file Parameters.h.

{ add("$$$", NULL, false, 99, 0); }

The documentation for this class was generated from the following files:

- general/Parameters.h
- general/Parameters.cpp